Bug 69000 - sundance driver does not work with D-Link DFE-580TX
sundance driver does not work with D-Link DFE-580TX
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-16 17:06 EDT by Aran Cox
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-16 17:06:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aran Cox 2002-07-16 17:06:16 EDT
Description of Problem:
Driver will load, but no packets are ever transmitted or received.

Version-Release number of selected component (if applicable):
sundance.c:v1.01b 17-Jan-2002  Written by Donald Becker


How Reproducible:
Every time.

Steps to Reproduce:
1. load driver (modprobe sundance)
2. configure interface (ifup eth2, ifconfig eth2 10.1.1.1 up)
3. attempt tcpdump on interface, ping, etc.

Actual Results:
No packets received or transmitted.

Expected Results:
functional ethernet interface


Additional Information:

dmesg output at driver load time:
sundance.c:v1.01b 17-Jan-2002  Written by Donald Becker
  http://www.scyld.com/network/sundance.html
eth2: D-Link DFE-580TX 4 port Server Adapter at 0xd08fe000, d0:9b:d0:9b:d0:9b,
IRQ 11.
eth2: No MII transceiver found!, ASIC status f0009bd0
Override speed=100, Full duplex
eth3: D-Link DFE-580TX 4 port Server Adapter at 0xd0900000, d0:9b:d0:9b:d0:9b,
IRQ 11.
eth3: No MII transceiver found!, ASIC status 7f9bd0
Override speed=100, Full duplex
eth4: D-Link DFE-580TX 4 port Server Adapter at 0xd0902000, d0:9b:d0:9b:d0:9b,
IRQ 11.
eth4: No MII transceiver found!, ASIC status 7f9bd0
Override speed=100, Full duplex
eth5: D-Link DFE-580TX 4 port Server Adapter at 0xd0904000, d0:9b:d0:9b:d0:9b,
IRQ 11.
eth5: No MII transceiver found!, ASIC status 7f9bd0
Override speed=100, Full duplex


ifconfig reports a huge amount of traffic, but tcpdump sees nothing.
eth2      Link encap:Ethernet  HWaddr D0:9B:D0:9B:D0:9B  
          inet addr:10.1.1.1  Bcast:10.1.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5468160 errors:0 dropped:21271 overruns:0 frame:0
          TX packets:5817307 errors:21 dropped:0 overruns:0 carrier:0
          collisions:21360 txqueuelen:100 
          RX bytes:1884845118 (1797.5 Mb)  TX bytes:1884865499 (1797.5 Mb)
          Interrupt:11 Base address:0xe000 

The link lights are active on both ends but mii-tool reports no link:
eth2: 10 Mbit, half duplex, no link

I am using the latest updated kernel for 7.3, 2.4.18-5.
Comment 1 Aran Cox 2002-08-01 10:08:53 EDT
Using the newest sundance driver available at
http://www.scyld.com/network/index.html (v1.09) the card works fine.  I'm not
sure if this bug should be closed or not... it hasn't been fixed within RH
linux, but I can compile this driver as a module and use it with RH linux
provided kernels.

Comment 2 Peter Bieringer 2003-05-26 10:16:56 EDT
This problem still occurs in 2.4.20-13.7
Compared with the driver sources provided by D-Links shows, that kernel's
"sundance.c" and D-Link's "sundance_main.c" are similiar (version 1.06 from year
2000). But "mii.c" differs.

At the moment, version 1.10 is available on upper given URL, but this version
isn't still included in 2.4.21-pre3. I will inform maillist netdev also about that.
Hopefully, RHL can update this driver in next given kernel series.
Comment 3 Peter Bieringer 2003-05-26 10:18:00 EDT
BTW: I can't reopen this bug :-( perhaps others can do.
Comment 4 Peter Bieringer 2003-06-18 11:07:58 EDT
After tracking down by myself the difference between the D-Link distributed
sources and the kernel ones I found the only important difference in the
Makefile which uses "-DUSE_IO_OPS" which toggles the config switch
CONFIG_SUNDANCE_MMIO to "n" instead of "y" (like defined in RHL's used configs).

Pls. fix this also on next kernel release for RHL 7.3.

See also #78819 (seen today)

Note You need to log in before you can comment on or make changes to this bug.